Zum Hauptinhalt springen
PATCH
/
marketing
/
campaigns
/
2026-03
/
{campaignGuid}
Update a campaign
curl --request PATCH \
  --url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "properties": {}
}
'
{
  "businessUnits": [
    {
      "id": 123
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "properties": {},
  "updatedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

campaignGuid
string
erforderlich

The unique identifier of the campaign to update.

Body

application/json
properties
object
erforderlich

A collection of key-value pairs representing the properties of the campaign. Each key is a property name, and the corresponding value is the property's value.

Antwort

successful operation

businessUnits
object[]
erforderlich

An array of business units associated with the campaign, each represented by a PublicBusinessUnit object.

createdAt
string<date-time>
erforderlich

The date and time when the campaign was created, formatted as a date-time string.

id
string
erforderlich

The unique identifier for the campaign.

properties
object
erforderlich

A collection of key-value pairs representing additional properties of the campaign.

updatedAt
string<date-time>
erforderlich

The date and time when the campaign was last updated, formatted as a date-time string.

Last modified on April 9, 2026